
SpecializationUtil.registerSpecialization("rpmDependentControls", "rpmDependentControls", g_currentModDirectory.."rpmDependentControls.lua")

rpmDependentControlsRegister = {};

function rpmDependentControlsRegister:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		
		for k,vehicleType in pairs(VehicleTypeUtil.vehicleTypes) do
			if vehicleType ~= nil then
				local allowInsertion = true;
				for i = 1, table.maxn(vehicleType.specializations) do
					local specialization = vehicleType.specializations[i];
					if specialization ~= nil and specialization == SpecializationUtil.getSpecialization("cylindered") then
						local vehicleName = vehicleType.name 
						local location = string.find(vehicleName, ".", nil, true)
						if location ~= nil then
							local name = string.sub(vehicleName, 1, location-1);
							if rawget(SpecializationUtil.specializations, string.format("%s.rpmDependentControls", name)) ~= nil then
								allowInsertion = false;								
							end;							
						end;
						if allowInsertion then	
							table.insert(vehicleType.specializations, SpecializationUtil.getSpecialization("rpmDependentControls"));
							break;
						end;
					end;
				end;
			end;	
		end;
	end;

	
end;

function rpmDependentControlsRegister:deleteMap()end;
function rpmDependentControlsRegister:keyEvent(unicode, sym, modifier, isDown)end;
function rpmDependentControlsRegister:mouseEvent(posX, posY, isDown, isUp, button)end;
function rpmDependentControlsRegister:update(dt)end;
function rpmDependentControlsRegister:draw()end;

addModEventListener(rpmDependentControlsRegister);